pcl::visualization::PointCloudColorHandlerRGBField< PointT > Class Template Reference
Module visualization

RGB handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBField< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerRGBField< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerRGBField< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerRGBField ()
| Constructor. More...
| PointCloudColorHandlerRGBField (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandlerRGBField ()
| Destructor. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...

## Protected Member Functions

virtual std::string | getName () const
| Class getName method. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerRGBField< PointT >

RGB handler class for colors.

Uses the data present in the "rgb" or "rgba" fields as the color at each point.

Author
  Radu B. Rusu

Definition at line 257 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const PointCloudColorHandlerRGBField<PointT> > pcl::visualization::PointCloudColorHandlerRGBField< PointT >::ConstPtr

Definition at line 265 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<PointCloudColorHandlerRGBField<PointT> > pcl::visualization::PointCloudColorHandlerRGBField< PointT >::Ptr

Definition at line 264 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerRGBField() [1/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerRGBField< PointT >::PointCloudColorHandlerRGBField | ( |  | ) |

inline

Constructor.

Definition at line 268 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## PointCloudColorHandlerRGBField() [2/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerRGBField< PointT >::PointCloudColorHandlerRGBField | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 274 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

## ~PointCloudColorHandlerRGBField()

template<typename PointT>

virtual pcl::visualization::PointCloudColorHandlerRGBField< PointT >::~PointCloudColorHandlerRGBField | ( |  | ) |

inline virtual

Destructor.

Definition at line 281 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

template<typename PointT >

bool pcl::visualization::PointCloudColorHandlerRGBField< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 134 of file point_cloud_color_handlers.hpp.

References pcl::getFieldIndex().

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerRGBField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 285 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::getColor(), and pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerRGBField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 304 of file point_cloud_color_handlers.h.

## setInputCloud()

template<typename PointT >

void pcl::visualization::PointCloudColorHandlerRGBField< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 111 of file point_cloud_color_handlers.hpp.

References pcl::getFieldIndex().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_color_handlers.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/impl/point_cloud_color_handlers.hpp